<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid</title>
    <style>
        html,
        body {
            width: 100%;
            height: 100%;
            margin: 0;
            padding: 0;
        }

        .container {
            background: lightblue;
            width: 500px;
            height: 300px;
            display: grid;
            grid-template-columns: 60px 1fr 1fr 2fr 30px;
            grid-template-rows: 100px 1fr 1fr 2fr;
            grid-template-areas: 
            ". . . . ."
            ". header d3 d3 ."
            ". header d2 d1 ."
            ". header footer footer ."
            ;

        }

        .container div {
            border: 1px solid black;
        }

        .div1 {
            /* grid-row: 2 / 3;
            grid-column: 2 / 4; */
            grid-area: d1;
        }

        .div2 {
            /* grid-column: 3 / 4;
            grid-row: 1 / 2; */
            grid-area: d2;
        }

        .div3 {
            /* grid-column: 1 / 2;
            grid-row: 1 / 3; */
            grid-area: d3;
        }

        .div4 {
            grid-area: footer;
        }

        .div5 {
            grid-area: header;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="div1">1</div>
        <div class="div2">2</div>
        <div class="div3">3</div>
        <div class="div4">4</div>
        <div class="div5">5</div>
    </div>
</body>

</html>